### Function

# Gtk TextCharPredicate

#### Declaration

    gboolean
    (* GtkTextCharPredicate) (
      gunichar ch,
      gpointer user_data
    )

#### Description [src]

The predicate function used by `gtk_text_iter_forward_find_char()` and gtk_text_iter_backward_find_char().

#### Parameters

`ch`

  Type: `gunichar`

  A Unicode code point.

`user_data`

  Type: `gpointer`

  Data passed to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if the predicate is satisfied, and the iteration should stop, and `FALSE` otherwise.